Page MenuHomePhabricator

[ELF] - Do not omit common symbols when -Map is given.
ClosedPublic

Authored by grimar on Aug 8 2017, 7:00 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

grimar created this revision.Aug 8 2017, 7:00 AM
grimar edited the summary of this revision. (Show Details)Aug 8 2017, 7:00 AM
grimar updated this revision to Diff 110534.Aug 10 2017, 2:14 AM
  • Added testcase.
ruiu added inline comments.Aug 10 2017, 5:55 AM
ELF/MapFile.cpp
40 ↗(On Diff #110534)

Remove this typedef and inline.

61 ↗(On Diff #110534)

Why do you have to check this?

grimar added inline comments.Aug 10 2017, 6:00 AM
ELF/MapFile.cpp
61 ↗(On Diff #110534)

For -r/--no-define-common cases.
Otherwise getSectionSyms() would return map with key==null,
does not look clean an not useful
(see my answer in this thread to Rafael about this place).

ruiu added inline comments.Aug 10 2017, 7:11 PM
test/ELF/map-commons.s
1 ↗(On Diff #110534)

Remove this file because the feature is tested by map-file.s

grimar updated this revision to Diff 110678.Aug 11 2017, 2:36 AM
  • Addressed comments.
ruiu accepted this revision.Aug 11 2017, 4:30 AM

LGTM

This revision is now accepted and ready to land.Aug 11 2017, 4:30 AM
This revision was automatically updated to reflect the committed changes.